Listed Shares Flash Data (/listed/shares)

Retrieve daily listed shares for listed companies

API Overview

This dataset features the listed issues (stocks and REITs) on the TSE market, including historical data, the listed issues on the current business day, and the listed issues after various corporate actions. The data update timing varies depending on the corporate action (e.g., corporate actions).

circle-info

(New shares issued, rights conversion, exercise of rights, etc.)

  • Corporate events that affect the number of issued shares are received monthly around the 20th, and historical data is updated based on these reports.

(Stock split, stock consolidation, public offering, third-party allotment, etc.)

  • When such events are disclosed through timely disclosure, the number of shares is registered in the system, and the data is updated within 1-2 business days from the disclosure.

Parameters and Response

When retrieving data, you can specify issue code (code), date (date), or data update date (updated_at). The combinations of parameters and their response results are as follows:

code
date
updated_at
Response Result

Error (at least one parameter must be specified)

Listed shares for the specified issue

Listed shares for all issues as of the specified date

Records updated on the specified date

Listed shares for the specified issue as of the specified date

Listed shares for the specified issue among those updated on the specified update date

Listed shares for each issue as of the specified date among those updated on the specified update date

Listed shares for the specified date and issue among those updated on the specified update date

Retrieve daily listed shares for listed companies

GET https://api.jquants-pro.com/v2/listed/shares

\* indicates required fields

Query Parameters

Name
Type
Description

code

String

27890 or 2789

If a 4-digit issue code is specified, only common stock data will be retrieved for issues that have both common and preferred stocks listed.

date

String

Specify the date to retrieve

(e.g. 20210907 or 2021-09-07)

updated_at

String

Specify the data update date

(e.g. 20210907 or 2021-09-07)

Headers

Name
Type
Description

Authorization*

String

Access Key

Data Item Overview

Variable Name
Description
Type
Notes

Date

Listed shares effective date

String

This record exists when the date parameter is specified in the API call.

EffectiveDate

Listed shares effective start date

String

This record exists when the date parameter is not specified in the API call.

EffectiveEndDate

Listed shares effective end date

String

This record exists when the date parameter is not specified in the API call. Note that 9999-99-99 indicates no end date (continuing).

Code

Issue Code

String

OutstandingShares

Outstanding Shares

Number

For the timing of share changes due to various corporate actions, please refer to here.

ListedShares

Listed Shares

Number

Same as above

IndexShares

Index Shares

Number

Same as above

UpdatedAt

Data Update Date

String

YYYY-MM-DD

API Call Sample Code

Last updated